<template>
  <q-markup-table>
    <thead>
      <tr>
        <th class="text-left" style="width: 30px">#</th>
        <th class="text-left" style="min-width: 250px">Persona</th>
        <th class="text-left" style="min-width: 150px">Calculo</th>
        <th class="text-left" style="width: 150px">SubTotal</th>
        <th style="width: 10px"></th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="(item, index) in storeRecibo.form.detalles" :key="index">
        <td>{{ index + 1 }}</td>
        <td>
          <InputBuscar
            v-model="item.persona_uuid"
            :key="item.persona_uuid"
            laberl="Persona"
            hide-bottom-space
          />
        </td>

        <td>
          <q-toggle
            v-model="item.calculo"
            @update:model-value="storeRecibo.recalcularTotales"
            :label="item.calculo == 'A' ? 'Automatico' : 'Manual'"
            color="green"
            false-value="M"
            true-value="A"
            checked-icon="done"
            unchecked-icon="clear"
            dense
            stack-label
            hide-bottom-space
          />
        </td>
        <td>
          <q-input
            type="number"
            v-model="item.monto"
            @blur="storeRecibo.recalcularTotales"
            :disable="item.calculo == 'A'"
            filled
            dense
            mask="#"
            fill-mask="0"
            reverse-fill-mask
          >
            <template v-slot:prepend>
              <q-icon name="attach_money" />
            </template>
          </q-input>
        </td>

        <td>
          <q-btn flat color="red" @click="storeRecibo.detalleBorrar(index)">
            <q-icon name="money_off" />
          </q-btn>
        </td>
      </tr>
    </tbody>

    <tfoot>
      <tr>
        <td></td>
        <td colspan="5">
          <div class="float-left">
            <q-btn
              v-if="storeRecibo.form.concepto_id === 2"
              flat
              color="blue"
              tooltip=""
              @click="storeRecibo.getParticipantesEvento()"
            >
              <q-icon name="add_shopping_cart" />
              <q-tooltip>
                Permite agregar como detalle todos los cursantes de un evento
              </q-tooltip>
              Incluir todos los participantes de forma automatica
            </q-btn>
          </div>
          <div class="float-right">
            <q-btn flat color="green" @click="storeRecibo.detalleNuevo()">
              <q-icon name="add_shopping_cart" />
              Agregar Detalle
            </q-btn>
          </div>
        </td>
      </tr>
    </tfoot>
    <Loading :showing="loading" />
  </q-markup-table>
</template>

<script lang="ts">
import { defineComponent, ref, onMounted } from 'vue';
import Loading from 'src/components/Loading.vue';
import InputBuscar from 'components/Personas/InputBuscar.vue';
import { useReciboNuevoStore } from 'src/stores/finanzas/reciboNuevoStore';

export default defineComponent({
  name: 'IndexPage',
  components: { Loading, InputBuscar },
  setup() {
    const loading = ref(false);
    const storeRecibo = useReciboNuevoStore();

    onMounted(() => {
      console.log('sss');
    });

    return {
      loading,
      storeRecibo,
    };
  },
});
</script>
